Groovy 1.7.10

## groovy.lang
[Java] Class ReadOnlyPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingPropertyException
                          groovy.lang.ReadOnlyPropertyException

    public class ReadOnlyPropertyException
    extends MissingPropertyException

This exception is thrown if an attempt is made to set a read only property

Authors:
  James Strachan

Version:
  \$Revision: 20690 \$

Field Summary

Fields inherited from class MissingPropertyException
MPE

Constructor Summary
`ReadOnlyPropertyException(String property, Class type)`
`ReadOnlyPropertyException(String property, String classname)`

Method Summary

Methods inherited from class MissingPropertyException
getMessageWithoutLocationText, getProperty, getType

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ReadOnlyPropertyException

    public ReadOnlyPropertyException(String property, Class type)

### ReadOnlyPropertyException

    public ReadOnlyPropertyException(String property, String classname)

Copyright © 2003-2010 The Codehaus. All rights reserved.